Skip to main content

List Transactions

The purpose of this endpoint is to deliver transactions related to a specific Principal (principalId) and Account (accountId) retrieved from List Accounts

This Data Adapter endpoint is used to deliver the responses for the following Consumer Data Standards endpoints:

Data Adapter API​

List Transactions​

Loading...

Consumer Data Standards Associations​

Get Transactions For Account​

Loading...

CDR Error Mapping​

TitleStatus CodeAdapter URN - Error CodeDetailCDR Status CodeCDR URN - Error Code
Invalid Field400urn:au-cds:error:cds-all:Field/Invalid

Applies when the value of required path parameter, i.e. principalId is an invalid type or the value violates the field's constraints.
Invalid format supplied for accountIds.

400urn:au-cds:error:cds-all:Field/Invalid
Invalid Header400urn:au-cds:error:cds-all:Header/Invalid

Applies when a HTTP Header is provided but the value provided is an invalid type or violates the field type constraints as defined in the Consumer Data Standards.
x-fapi-interaction-id - If supplied, it must be a Universal Unique Identifier (UUID) and compliant with RFC4122. If not supplied, a compliant value is autogenerated.
Invalid format supplied for
x-fapi-interaction-id.

400urn:au-cds:error:cds-all:Header/Invalid
Expected Error400urn:au-cds:error:cds-all:GeneralError/ExpectedThis status code indicates that the Expected Error has encountered.400urn:au-cds:error:cds-all:GeneralError/Expected
Invalid PageSize400urn:au-cds:error:cds-all:Field/InvalidPageSizeThis status code applies when a HTTP Header is provided but the value provided is an invalid type or violates the field type constraints as defined in the Consumer Data Standards.400urn:au-cds:error:cds-all:Field/InvalidPageSize
Invalid Date400urn:au-cds:error:cds-all:Field/InvalidDateTimeThis status code indicates that an invalid date is provided.400urn:au-cds:error:cds-all:Field/InvalidDateTime
Invalid Resource404urn:au-cds:error:cds-all:Resource/InvalidThe requested resource identifier is permanently unavailable.500urn:au-cds:error:cds-all:GeneralError/Unexpected
Invalid Page422urn:au-cds:error:cds-all:Field/InvalidPageThis status code indicates that the page being requested is out of range. For example, the valid pagination range is 5 pages and the client requested page = 10.422urn:au-cds:error:cds-all:Field/InvalidPage
Legal Block451urn:dio:error:cds-all:Resource/LegalBlockThis status code indicates that the server is denying access to the resource as a consequence of a legal demand.422urn:au-cds:error:cds-all:Resource/Unavailable
Ineligible Block451urn:dio:error:cds-all:Resource/IneligibleBlockThis status code indicates that the Customer is ineligible for CDR Data Sharing.422urn:au-cds:error:cds-all:Resource/Invalid
Call Center Block451urn:dio:error:cds-all:Resource/CallCenterBlockThis status code indicates that the consumer should call the Call Center for further information.422urn:au-cds:error:cds-all:Resource/Invalid

Get Transaction Detail​

Loading...

CDR Error Mapping​

TitleStatus CodeAdapter URN - Error CodeDetailCDR Status CodeCDR URN - Error Code
Invalid Field400urn:au-cds:error:cds-all:Field/Invalid

Applies when the value of required path parameter, i.e. principalId is an invalid type or the value violates the field's constraints.
Invalid format supplied for accountIds.

400urn:au-cds:error:cds-all:Field/Invalid
Invalid Header400urn:au-cds:error:cds-all:Header/Invalid

Applies when a HTTP Header is provided but the value provided is an invalid type or violates the field type constraints as defined in the Consumer Data Standards.
x-fapi-interaction-id - If supplied, it must be a Universal Unique Identifier (UUID) and compliant with RFC4122. If not supplied, a compliant value is autogenerated.
Invalid format supplied for
x-fapi-interaction-id.

400urn:au-cds:error:cds-all:Header/Invalid
Expected Error400urn:au-cds:error:cds-all:GeneralError/ExpectedThis status code indicates that the Expected Error has encountered.400urn:au-cds:error:cds-all:GeneralError/Expected
Invalid PageSize400urn:au-cds:error:cds-all:Field/InvalidPageSizeThis status code applies when a HTTP Header is provided but the value provided is an invalid type or violates the field type constraints as defined in the Consumer Data Standards.400urn:au-cds:error:cds-all:Field/InvalidPageSize
Invalid Date400urn:au-cds:error:cds-all:Field/InvalidDateTimeThis status code indicates that an invalid date is provided.400urn:au-cds:error:cds-all:Field/InvalidDateTime
Invalid Resource404urn:au-cds:error:cds-all:Resource/InvalidThe requested resource identifier is permanently unavailable.500urn:au-cds:error:cds-all:GeneralError/Unexpected
Invalid Page422urn:au-cds:error:cds-all:Field/InvalidPageThis status code indicates that the page being requested is out of range. For example, the valid pagination range is 5 pages and the client requested page = 10.422urn:au-cds:error:cds-all:Field/InvalidPage
Legal Block451urn:dio:error:cds-all:Resource/LegalBlockThis status code indicates that the server is denying access to the resource as a consequence of a legal demand.422urn:au-cds:error:cds-all:Resource/Unavailable
Ineligible Block451urn:dio:error:cds-all:Resource/IneligibleBlockThis status code indicates that the Customer is ineligible for CDR Data Sharing.422urn:au-cds:error:cds-all:Resource/Invalid
Call Center Block451urn:dio:error:cds-all:Resource/CallCenterBlockThis status code indicates that the consumer should call the Call Center for further information.422urn:au-cds:error:cds-all:Resource/Invalid

Data Adapter version to CDR version mapping​

Data Adapter VersionCDR VersionTransformation Notes
ListBankingTransactions V0GetTransactionDetail V1This is a 1:1 mapping. No transformation required.
ListBankingTransactions V0GetTransactionDetail V2Further information on this transformation, see below.
ListBankingTransactions V1GetTransactionDetail V1Further information on this transformation, see below.
ListBankingTransactions V1GetTransactionDetail V2This is a 1:1 mapping. No transformation required.
ListBankingTransactions V1GetTransactionDetail V3Further information on this transformation, see below.
ListBankingTransactions V2GetTransactionDetail V3This is a 1:1 mapping. No transformation required.
ListBankingTransactions V2GetTransactionDetail V1⚠️ Not supported. instalmentPlanId is dropped as it is not representable in this version.
ListBankingTransactions V2GetTransactionDetail V2⚠️ Not supported. instalmentPlanId is dropped as it is not representable in this version.

ListBankingTransactions V0 -> GetTransactionDetail V2​

GetTransactionDetail V2 updates the schema of extendedData object to support the range of New Payments Platform (NPP) service overlays including newer versions, e.g. X2P1.01 … X2P1.05, BSCT.01 … BSCT.05, CATSCT.01 and IFTI.01.

The upgrade logic below will be followed:

  • extendedData.extensionUType:
    • Set extensionUType to "nppPayload".
  • extendedData.nppPayload:
    • extendedDescription, endToEndId and purposeCode fields are 1:1 mapped from x2p101Payload object.
    • Set service to "X2P1".
    • Set serviceVersion to "01".

ListBankingTransactions V1 -> GetTransactionDetail V1​

The downgrade logic below will be followed:

  • If nppPayload.service is "X2P1" and nppPayload.serviceVersion is "01":
    • Set extendedData.extensionUType to "x2p101Payload".
    • Set extendedData.service to "X2P1.01".
    • x2p101Payload.extendedDescription, x2p101Payload.endToEndId and x2p101Payload.purposeCode fields are 1:1 mapped from nppPayload object.
  • Otherwise, the extendedData is omitted.
    • Please note that in this case it is possible that a transaction in "Get Transactions For Account" response has "isDetailAvailable": true, but an ADR client cannot get the transaction details if the ADR client requests GetTransactionDetail V1, which is not ideal but impossible to avoid under current DSB standards spec.

ListBankingTransactions V1 -> GetTransactionDetail V3​

GetTransactionDetail V3 (introduced with Data Adapter 2.4.0 / DSB Standards 1.36.3) updates directDeposit from apcaNumber (a bare BSB-style field on the V1 shape) to a dedicated apcaNumber field on the transaction resource, and introduces instalmentPlanId.

The upgrade logic below will be followed:

  • directDeposit.bsb to apcaNumber.
  • instalmentPlanId:
    • Set from the adapter's instalmentPlanId if the transaction is associated with a Banking Instalment Plan, otherwise omitted.

ListBankingTransactions V2 -> GetTransactionDetail V3​

This is a 1:1 mapping. No transformation required:

  • apcaNumber to apcaNumber.
  • instalmentPlanId to instalmentPlanId.

Supplemental Fields​

No supplemental fields are specified.

Endpoint Specific Guidance​

  • ListBankingTransactions V2 and GetTransactionDetail V3 were introduced in HaaS Data Adapter API 2.4.0 / DSB Standards 1.36.3 to support instalmentPlanId and the updated apcaNumber representation of direct deposit transactions.
  • instalmentPlanId is optional. It is populated only when a transaction is associated with a Banking Instalment Plan, and is otherwise omitted.
  • instalmentPlanId is only representable in GetTransactionDetail V3. When a ListBankingTransactions V2 response is downgraded to GetTransactionDetail V1 or V2, the instalmentPlanId is dropped.